import { api, modules, replication, system } from '@powersync/service-core';
import * as types from '../types/types.js';
import { PostgresConnectionConfig } from '../types/types.js';
export declare class PostgresModule extends replication.ReplicationModule<types.PostgresConnectionConfig> {
    constructor();
    initialize(context: system.ServiceContextContainer): Promise<void>;
    protected createRouteAPIAdapter(): api.RouteAPI;
    protected createReplicator(context: system.ServiceContext): replication.AbstractReplicator;
    /**
     * Combines base config with normalized connection settings
     */
    private resolveConfig;
    teardown(options: modules.TearDownOptions): Promise<void>;
    private registerSupabaseAuth;
    testConnection(config: PostgresConnectionConfig): Promise<void>;
}
